package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "treatment")
public class Treatment {
    @Id
    private Integer id;

    /**
     * 用户id
     */
    @Column(name = "user_id", nullable = false)
    private Integer userId;

    /**
     * patient表用户姓名
     */
    @Column(name = "patient_real_name", nullable = false)
    private String patientRealName;

    /**
     * patient表用户手机号码
     */
    @Column(name = "patient_mobile", nullable = false)
    private String patientMobile;


    /**
     * 医生id
     */
    @Column(name = "doctor_id", nullable = false)
    private Integer doctorId;

    /**
     * 医生姓名
     */
    @Column(name = "doctor_real_name", nullable = false)
    private String doctorRealName;

    /**
     * 关联医生id
     */
    @Column(name = "union_doctor_id", nullable = false)
    private Integer unionDoctorId;

    /**
     * 关联医生姓名
     */
    @Column(name = "union_doctor_real_name", nullable = false)
    private String unionDoctorRealName;


    /**
     * 询诊标题
     */
    @Column(name = "title", nullable = false)
    private String title;

    //订单ID
    @Column(name = "order_id")
    private Integer orderId;

    //订单号
    @Column(name = "order_no")
    private String orderNo;

    /**
     * 询诊金额
     */
    private BigDecimal amount;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 是否删除（标识物理删除）
     */
    @Column(name = "is_deleted", nullable = false)
    private boolean isDeleted;

    /**
     * 会话Id
     */
    @Column(name = "session_id", nullable = false)
    private String sessionId;


    /**
     * patient_id(patient表主键id)
     */
    @Column(name = "patient_id", nullable = false)
    private Integer patientId;

    @Column(name = "treatment_status")
    private Integer treatmentStatus;

    /**
     * 服务套餐Id
     */
    @Column(name = "package_id")
    private Integer packageId;

    /**
     * patient表用户sex
     */
    @Column(name = "patient_sex")
    private Integer patientSex;

    //会诊费用（单位：元）
    @Column(name = "fee")
    private Integer fee;

    /**
     * 拓展状态位（位运算）（对orders表里面的order_status字段进行拓展） 1-已评价
     */
    @Column(name = "ext_status")
    private Integer extStatus;

    @Column(name = "patient_age")
    private Integer patientAge;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getPatientRealName() {
        return patientRealName;
    }

    public void setPatientRealName(String patientRealName) {
        this.patientRealName = patientRealName;
    }

    public String getPatientMobile() {
        return patientMobile;
    }

    public void setPatientMobile(String patientMobile) {
        this.patientMobile = patientMobile;
    }

    public Integer getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Integer doctorId) {
        this.doctorId = doctorId;
    }

    public String getDoctorRealName() {
        return doctorRealName;
    }

    public void setDoctorRealName(String doctorRealName) {
        this.doctorRealName = doctorRealName;
    }

    public Integer getUnionDoctorId() {
        return unionDoctorId;
    }

    public void setUnionDoctorId(Integer unionDoctorId) {
        this.unionDoctorId = unionDoctorId;
    }

    public String getUnionDoctorRealName() {
        return unionDoctorRealName;
    }

    public void setUnionDoctorRealName(String unionDoctorRealName) {
        this.unionDoctorRealName = unionDoctorRealName;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public boolean isDeleted() {
        return isDeleted;
    }

    public void setDeleted(boolean deleted) {
        isDeleted = deleted;
    }

    public String getSessionId() {
        return sessionId;
    }

    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }

    public Integer getPatientId() {
        return patientId;
    }

    public void setPatientId(Integer patientId) {
        this.patientId = patientId;
    }

    public Integer getTreatmentStatus() {
        return treatmentStatus;
    }

    public void setTreatmentStatus(Integer treatmentStatus) {
        this.treatmentStatus = treatmentStatus;
    }

    public Integer getPackageId() {
        return packageId;
    }

    public void setPackageId(Integer packageId) {
        this.packageId = packageId;
    }

    public Integer getPatientSex() {
        return patientSex;
    }

    public void setPatientSex(Integer patientSex) {
        this.patientSex = patientSex;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Integer getFee() {
        return fee;
    }

    public void setFee(Integer fee) {
        this.fee = fee;
    }


    public Integer getExtStatus() {
        return extStatus;
    }

    public void setExtStatus(Integer extStatus) {
        this.extStatus = extStatus;
    }

    public Integer getPatientAge() {
        return patientAge;
    }

    public void setPatientAge(Integer patientAge) {
        this.patientAge = patientAge;
    }
}
